QR-koder

GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar detaljer Beskrivning
search Optionell Sträng Det är söka sträng.
search_by Optionell Sträng Vilket fält söker du efter. Tillåtna värden är: name.
project_id Optionell Innehåller
type Optionell Sträng Vilket fält söker du efter. Tillåtna värden är: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field Optionell Sträng Tillåtna värden: datetime, last_datetime
datetime_start Optionell Sträng Filtrera resultat från denna datumtid. Y-m-d H:i:s och format.
datetime_end Optionell Sträng Filterar resultat upp till denna datumtid. Y-m-d H:i:s och format.
order_by Optionell Sträng Vilket fält att beställa resultaten av. Tillåtna värden är: qr_code_id, datetime, last_datetime, name, type.
order_type Optionell Sträng Beställningen av resultaten. Tillåtna värden är: ASC för uppstigande order, och DESC för nedåtkommande order.
page Optionell Innehåller sidan nummer som du vill ha resultat från. defekter till 1.
results_per_page Optionell Innehåller Hur många resultat du vill ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Defekter till 25.
{
    "data": [
        {
            "id": 1,
            "type": "url",
            "name": "Example name",
            "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "settings": {
                "foreground_type": "color",
                "foreground_color": "#000000",
                "background_color": "#ffffff",
                "custom_eyes_color": false,
                "qr_code_logo_size": 25,
                "size": 500,
                "margin": 0,
                "ecc": "L",
                "url": "https://example.com"
                ...
            },
            "embedded_data": "https://example.com",
            "last_datetime": null,
            "datetime": "2026-10-16 01:39:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://0o0.online/api/qr-codes?page=1",
        "last": "https://0o0.online/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://0o0.online/api/qr-codes?page=1"
    }
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "url",
        "name": "Example name",
        "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "settings": {
            "foreground_type": "color",
            "foreground_color": "#000000",
            "background_color": "#ffffff",
            "custom_eyes_color": false,
            "qr_code_logo_size": 25,
            "size": 500,
            "margin": 0,
            "ecc": "L",
            "url": "https://example.com"
            ...
        },
        "embedded_data": "https://example.com",
        "last_datetime": null,
        "datetime": "2026-10-16 01:39:43",
    }
}
POST https://0o0.online/api/qr-codes
Parametrar detaljer Beskrivning
project_id Optionell Innehåller -
name Obligatoriskt Sträng -
type Obligatoriskt Sträng Tillåtna värden: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk Optionell Boolean Tillgänglig när: type = text
url_dynamic_existing_link Optionell Boolean Tillgänglig när: url_dynamic = 1
url_dynamic Optionell Boolean Tillgänglig när: type = url
link_id Optionell Innehåller Tillgänglig när: url_dynamic = 1 + url_dynamic_existing_link = 1
style Optionell Sträng
inner_eye_style Optionell Sträng Tillåtna värden: square, dot, rounded, diamond, flower, leaf
outer_eye_style Optionell Sträng Tillåtna värden: square, circle, rounded, flower, leaf
foreground_type Optionell Sträng Tillåtna värden: color, gradient
foreground_color Optionell Sträng Tillgänglig när: foreground_type = color
foreground_gradient_style Optionell Sträng Tillåtna värden: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Optionell Sträng Tillgänglig när: foreground_type = gradient
foreground_gradient_two Optionell Sträng Tillgänglig när: foreground_type = gradient
background_color Optionell Sträng
background_color_transparency Optionell Innehåller
custom_eyes_color Optionell Boolean
eyes_inner_color Optionell Sträng Tillgänglig när: custom_eyes_color = 1
eyes_outer_color Optionell Sträng Tillgänglig när: custom_eyes_color = 1
qr_code_logo Optionell filer -
qr_code_logo_size Optionell Innehåller 5-35
qr_code_background Optionell filer -
qr_code_background_transparency Optionell Innehåller 0-100
qr_code_foreground Optionell filer -
qr_code_foreground_transparency Optionell Innehåller 0-100
frame Optionell Sträng Tillåtna värden: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Optionell Sträng
frame_text_size Optionell Innehåller -5 - 5
frame_text_font Optionell Sträng Tillåtna värden: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Optionell Boolean
frame_color Optionell Sträng Tillgänglig när: frame_custom_colors = 1
frame_text_color Optionell Sträng Tillgänglig när: frame_custom_colors = 1
size Optionell Innehåller 50-2000
margin Optionell Innehåller 0-25
ecc Optionell Sträng Tillåtna värden: L, M, Q, H
text Optionell Sträng Tillgänglig när: type = text
url Optionell Sträng Tillgänglig när: type = url. Tillgänglig när: url_dynamic = 0 / url_dynamic_existing_link = 0
phone Optionell Sträng Tillgänglig när: type = phone
sms Optionell Sträng Tillgänglig när: type = sms
sms_body Optionell Sträng Tillgänglig när: type = sms
email Optionell Sträng Tillgänglig när: type = email
whatsapp Optionell Sträng Tillgänglig när: type = whatsapp
whatsapp_body Optionell Sträng Tillgänglig när: type = whatsapp
facetime Optionell Sträng Tillgänglig när: type = facetime
location
location_latitude Optionell Fartyg Tillgänglig när: type = location
location_longitude Optionell Fartyg Tillgänglig när: type = location
wifi
wifi_ssid Optionell Sträng Tillgänglig när: type = wifi
wifi_encryption Optionell Sträng Tillåtna värden: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Optionell Sträng Tillgänglig när: type = wifi
wifi_is_hidden Optionell Boolean Tillgänglig när: type = wifi
event Optionell Sträng Tillgänglig när: type = event
event_location Optionell Sträng Tillgänglig när: type = event
event_url Optionell Sträng Tillgänglig när: type = event
event_note Optionell Sträng Tillgänglig när: type = event
event_timezone Optionell Sträng Tillgänglig när: type = event
event_start_datetime Optionell Sträng Tillgänglig när: type = event
event_end_datetime Optionell Sträng Tillgänglig när: type = event
event_first_alert_datetime Optionell Sträng Tillgänglig när: type = event
event_second_alert_datetime Optionell Sträng Tillgänglig när: type = event
crypto
crypto_coin Optionell Sträng Tillgänglig när: type = crypto
crypto_address Optionell Sträng Tillgänglig när: type = crypto
crypto_amount Optionell Sträng Tillgänglig när: type = crypto
vcard
vcard_first_name Optionell Sträng Tillgänglig när: type = vcard
vcard_last_name Optionell Sträng Tillgänglig när: type = vcard
vcard_company Optionell Sträng Tillgänglig när: type = vcard
vcard_phone_number_label[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_phone_number_value[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_email Optionell Sträng Tillgänglig när: type = vcard
vcard_url Optionell Sträng Tillgänglig när: type = vcard
vcard_job_title Optionell Sträng Tillgänglig när: type = vcard
vcard_birthday Optionell Sträng Tillgänglig när: type = vcard
vcard_street Optionell Sträng Tillgänglig när: type = vcard
vcard_city Optionell Sträng Tillgänglig när: type = vcard
vcard_zip Optionell Sträng Tillgänglig när: type = vcard
vcard_region Optionell Sträng Tillgänglig när: type = vcard
vcard_country Optionell Sträng Tillgänglig när: type = vcard
vcard_note Optionell Sträng Tillgänglig när: type = vcard
vcard_social_label[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_social_value[index] Optionell Sträng Tillgänglig när: type = vcard
paypal
paypal_type Optionell Sträng Tillåtna värden: buy_now, add_to_cart, donation (type=paypal)
paypal_email Optionell Sträng Tillgänglig när: type = paypal
paypal_title Optionell Sträng Tillgänglig när: type = paypal
paypal_currency Optionell Sträng Tillgänglig när: type = paypal
paypal_price Optionell Fartyg Tillgänglig när: type = paypal
paypal_thank_you_url Optionell Sträng Tillgänglig när: type = paypal
paypal_cancel_url Optionell Sträng Tillgänglig när: type = paypal
upi
upi_payee_id Optionell Sträng Tillgänglig när: type = upi
upi_payee_name Optionell Sträng Tillgänglig när: type = upi
upi_currency Optionell Sträng Tillgänglig när: type = upi
upi_amount Optionell Fartyg Tillgänglig när: type = upi
upi_transaction_id Optionell Sträng Tillgänglig när: type = upi
upi_transaction_note Optionell Sträng Tillgänglig när: type = upi
upi_transaction_reference Optionell Sträng Tillgänglig när: type = upi
upi_thank_you_url Optionell Sträng Tillgänglig när: type = upi
epc
epc_iban Optionell Sträng Tillgänglig när: type = epc
epc_payee_name Optionell Sträng Tillgänglig när: type = epc
epc_currency Optionell Sträng Tillgänglig när: type = epc
epc_amount Optionell Fartyg Tillgänglig när: type = epc
epc_bic Optionell Sträng Tillgänglig när: type = epc
epc_remittance_reference Optionell Sträng Tillgänglig när: type = epc
epc_remittance_text Optionell Sträng Tillgänglig när: type = epc
information Optionell Sträng Tillgänglig när: type = epc
pix
pix_payee_key Optionell Sträng Tillgänglig när: type = pix
pix_payee_name Optionell Sträng Tillgänglig när: type = pix
pix_currency Optionell Sträng Tillgänglig när: type = pix
pix_amount Optionell Fartyg Tillgänglig när: type = pix
pix_city Optionell Sträng Tillgänglig när: type = pix
pix_transaction_id Optionell Sträng Tillgänglig när: type = pix
pix_description Optionell Sträng Tillgänglig när: type = pix
Parametrar detaljer Beskrivning
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
Parametrar detaljer Beskrivning
project_id Optionell Sträng -
name Optionell Sträng -
type Optionell Sträng Tillåtna värden: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic Optionell Boolean Tillgänglig när: type = url
url_dynamic_existing_link Optionell Boolean Tillgänglig när: url_dynamic = 1
link_id Optionell Innehåller Tillgänglig när: url_dynamic = 1 + url_dynamic_existing_link = 1
style Optionell Sträng Tillåtna värden: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style Optionell Sträng Tillåtna värden: square, dot, rounded, diamond, flower, leaf
outer_eye_style Optionell Sträng Tillåtna värden: square, circle, rounded, flower, leaf
foreground_type Optionell Sträng Tillåtna värden: color, gradient
foreground_color Optionell Sträng Tillgänglig när: foreground_type = color
foreground_gradient_style Optionell Sträng Tillåtna värden: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Optionell Sträng Tillgänglig när: foreground_type = gradient
foreground_gradient_two Optionell Sträng Tillgänglig när: foreground_type = gradient
background_color Optionell Sträng
background_color_transparency Optionell Innehåller 0 - 100
custom_eyes_color Optionell Boolean
eyes_inner_color Optionell Sträng Tillgänglig när: custom_eyes_color = 1
eyes_outer_color Optionell Sträng Tillgänglig när: custom_eyes_color = 1
qr_code_logo Optionell filer -
qr_code_logo_size Optionell Innehåller 5-35
qr_code_background Optionell filer -
qr_code_background_transparency Optionell Innehåller 0-100
qr_code_foreground Optionell filer -
qr_code_foreground_transparency Optionell Innehåller 0-100
frame Optionell Sträng Tillåtna värden: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Optionell Sträng
frame_text_size Optionell Innehåller -5 -> 5
frame_text_font Optionell Sträng Tillåtna värden: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Optionell Boolean
frame_color Optionell Sträng Tillgänglig när: frame_custom_colors = 1
frame_text_color Optionell Sträng Tillgänglig när: frame_custom_colors = 1
size Optionell Innehåller 50-2000
margin Optionell Innehåller 0-25
ecc Optionell Sträng Tillåtna värden: L, M, Q, H
text Optionell Sträng Tillgänglig när: type = text
url Optionell Sträng Tillgänglig när: type = url. Tillgänglig när: url_dynamic = 0 / url_dynamic_existing_link = 0
phone Optionell Sträng Tillgänglig när: type = phone
sms Optionell Sträng Tillgänglig när: type = sms
sms_body Optionell Sträng Tillgänglig när: type = sms
email Optionell Sträng Tillgänglig när: type = email
whatsapp Optionell Sträng Tillgänglig när: type = whatsapp
whatsapp_body Optionell Sträng Tillgänglig när: type = whatsapp
facetime Optionell Sträng Tillgänglig när: type = facetime
location
location_latitude Optionell Fartyg Tillgänglig när: type = location
location_longitude Optionell Fartyg Tillgänglig när: type = location
wifi
wifi_ssid Optionell Sträng Tillgänglig när: type = wifi
wifi_encryption Optionell Sträng Tillåtna värden: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Optionell Sträng Tillgänglig när: type = wifi
wifi_is_hidden Optionell Boolean Tillgänglig när: type = wifi
event Optionell Sträng Tillgänglig när: type = event
event_location Optionell Sträng Tillgänglig när: type = event
event_url Optionell Sträng Tillgänglig när: type = event
event_note Optionell Sträng Tillgänglig när: type = event
event_timezone Optionell Sträng Tillgänglig när: type = event
event_start_datetime Optionell Sträng Tillgänglig när: type = event
event_end_datetime Optionell Sträng Tillgänglig när: type = event
event_first_alert_datetime Optionell Sträng Tillgänglig när: type = event
event_second_alert_datetime Optionell Sträng Tillgänglig när: type = event
crypto
crypto_coin Optionell Sträng Tillgänglig när: type = crypto
crypto_address Optionell Sträng Tillgänglig när: type = crypto
crypto_amount Optionell Sträng Tillgänglig när: type = crypto
vcard
vcard_first_name Optionell Sträng Tillgänglig när: type = vcard
vcard_last_name Optionell Sträng Tillgänglig när: type = vcard
vcard_company Optionell Sträng Tillgänglig när: type = vcard
vcard_phone_number_label[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_phone_number_value[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_email Optionell Sträng Tillgänglig när: type = vcard
vcard_url Optionell Sträng Tillgänglig när: type = vcard
vcard_job_title Optionell Sträng Tillgänglig när: type = vcard
vcard_birthday Optionell Sträng Tillgänglig när: type = vcard
vcard_street Optionell Sträng Tillgänglig när: type = vcard
vcard_city Optionell Sträng Tillgänglig när: type = vcard
vcard_zip Optionell Sträng Tillgänglig när: type = vcard
vcard_region Optionell Sträng Tillgänglig när: type = vcard
vcard_country Optionell Sträng Tillgänglig när: type = vcard
vcard_note Optionell Sträng Tillgänglig när: type = vcard
vcard_social_label[index] Optionell Sträng Tillgänglig när: type = vcard
vcard_social_value[index] Optionell Sträng Tillgänglig när: type = vcard
paypal
paypal_type Optionell Sträng Tillåtna värden: buy_now, add_to_cart, donation (type=paypal)
paypal_email Optionell Sträng Tillgänglig när: type = paypal
paypal_title Optionell Sträng Tillgänglig när: type = paypal
paypal_currency Optionell Sträng Tillgänglig när: type = paypal
paypal_price Optionell Fartyg Tillgänglig när: type = paypal
paypal_thank_you_url Optionell Sträng Tillgänglig när: type = paypal
paypal_cancel_url Optionell Sträng Tillgänglig när: type = paypal
upi
upi_payee_id Optionell Sträng Tillgänglig när: type = upi
upi_payee_name Optionell Sträng Tillgänglig när: type = upi
upi_currency Optionell Sträng Tillgänglig när: type = upi
upi_amount Optionell Fartyg Tillgänglig när: type = upi
upi_transaction_id Optionell Sträng Tillgänglig när: type = upi
upi_transaction_note Optionell Sträng Tillgänglig när: type = upi
upi_transaction_reference Optionell Sträng Tillgänglig när: type = upi
upi_thank_you_url Optionell Sträng Tillgänglig när: type = upi
epc
epc_iban Optionell Sträng Tillgänglig när: type = epc
epc_payee_name Optionell Sträng Tillgänglig när: type = epc
epc_currency Optionell Sträng Tillgänglig när: type = epc
epc_amount Optionell Fartyg Tillgänglig när: type = epc
epc_bic Optionell Sträng Tillgänglig när: type = epc
epc_remittance_reference Optionell Sträng Tillgänglig när: type = epc
epc_remittance_text Optionell Sträng Tillgänglig när: type = epc
information Optionell Sträng Tillgänglig när: type = epc
pix
pix_payee_key Optionell Sträng Tillgänglig när: type = pix
pix_payee_name Optionell Sträng Tillgänglig när: type = pix
pix_currency Optionell Sträng Tillgänglig när: type = pix
pix_amount Optionell Fartyg Tillgänglig när: type = pix
pix_city Optionell Sträng Tillgänglig när: type = pix
pix_transaction_id Optionell Sträng Tillgänglig när: type = pix
pix_description Optionell Sträng Tillgänglig när: type = pix
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \